Subject: Re: [bug#57722] [PATCH] gnu: ipfs: Install bash completion.

From: Maxime Devos <[email-masked]>
Date: Tue, 13 Sep 2022 12:48:51 +0200

On 13-09-2022 11:49, Michael Rohleder wrote:
> I dont know how to test cross compiling, though (on a x86_64 system):
> 
> ./pre-inst-env guix build --system=aarch64-linux go-ipfs
> [...]

That's (emulated) native compilation (which requires setting up QEMU 
transparent emulation), not cross-compilation.  While they can 
accomplish the same result, they function completely different -- from 
Guix POV, emulated builds are just native (non-cross-compiling) builds.

Instead, try

./pre-inst-env guix build --target=aarch64-linux-gnu go-ipfs

... which will fail because the imported-modules aren't imported, which 
is a bug (I'll report it).

Greetings,
Maxime.